Skip to content
Newer
Older
100644 40 lines (34 sloc) 574 Bytes
fd090fa @joshk install groff on travis before running tests
joshk authored
1 before_script:
0a618a5 @joshk we want -y not -v when installing via apt-get
joshk authored
2 - sudo apt-get install groff -y
ac8a832 @indirect well that was optimistic magical thinking
indirect authored
3 - rake spec:deps
5321940 @indirect Specs are only supported on MRI at present
indirect authored
4
4c0374c @joshk Travis CI to the rescue
joshk authored
5 script: rake spec:travis
08d2148 @joshk Lets exclude builds for 1.9.2 and rubygem versions 1.3.6, 1.3.7, and …
joshk authored
6
4c0374c @joshk Travis CI to the rescue
joshk authored
7 rvm:
8 - 1.8.7
9 - 1.9.2
b5921d3 @hone let's build on 1.9.3 on travis
hone authored
10 - 1.9.3
5321940 @indirect Specs are only supported on MRI at present
indirect authored
11
4c0374c @joshk Travis CI to the rescue
joshk authored
12 env:
1f80b67 @indirect switch Rubygems version to RGV to avoid conflict with RG for path to …
indirect authored
13 - RGV=v1.3.6
14 - RGV=v1.3.7
15 - RGV=v1.4.2
16 - RGV=v1.5.3
17 - RGV=v1.6.2
18 - RGV=v1.7.2
19 - RGV=v1.8.10
08d2148 @joshk Lets exclude builds for 1.9.2 and rubygem versions 1.3.6, 1.3.7, and …
joshk authored
20
21 matrix:
22 exclude:
c71d7b4 @joshk It would help if I spelt rvm correctly in the .travis.yml file.
joshk authored
23 - rvm: 1.9.2
08d2148 @joshk Lets exclude builds for 1.9.2 and rubygem versions 1.3.6, 1.3.7, and …
joshk authored
24 env: RGV=v1.3.6
c71d7b4 @joshk It would help if I spelt rvm correctly in the .travis.yml file.
joshk authored
25 - rvm: 1.9.2
08d2148 @joshk Lets exclude builds for 1.9.2 and rubygem versions 1.3.6, 1.3.7, and …
joshk authored
26 env: RGV=v1.3.7
c71d7b4 @joshk It would help if I spelt rvm correctly in the .travis.yml file.
joshk authored
27 - rvm: 1.9.2
08d2148 @joshk Lets exclude builds for 1.9.2 and rubygem versions 1.3.6, 1.3.7, and …
joshk authored
28 env: RGV=v1.4.2
b5921d3 @hone let's build on 1.9.3 on travis
hone authored
29 - rvm: 1.9.3
30 env: RGV=v1.3.6
31 - rvm: 1.9.3
32 env: RGV=v1.3.7
33 - rvm: 1.9.3
34 env: RGV=v1.4.2
08d2148 @joshk Lets exclude builds for 1.9.2 and rubygem versions 1.3.6, 1.3.7, and …
joshk authored
35
4c0374c @joshk Travis CI to the rescue
joshk authored
36 notifications:
37 email:
38 - travis-ci@andrearko.com
10a0ca4 @indirect rubygems master is 2.0 now, too many changes
indirect authored
39 - hone02@gmail.com
Something went wrong with that request. Please try again.